# Scale down cephfs clients to prevent mds corruption issues

function scale_down_cephfs_clients () {
  now=$(date +"%H:%M:%S_%m-%d-%Y")
  backup_name="$now-snapshot"

  echo "Taking a snapshot of nexus pvc ($backup_name)"
  kubectl -n nexus exec -it $(kubectl get po -n nexus -l 'app=nexus' -o json | jq -r '.items[].metadata.name') -c nexus -- /bin/sh -c "mkdir /nexus-data/.snap/$backup_name"

  echo "Sleeping 10 seconds after taking nexus pvc snapshot"
  sleep 10

  echo "Scaling nexus deployment down"
  kubectl scale deployment -n nexus nexus --replicas=0
}

function scale_up_cephfs_clients () {
  echo "Scaling nexus deployment back up"
  kubectl scale deployment -n nexus nexus --replicas=1
}
